package com.ruoyi.system.domain.guarantee;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 反担保基础信息附件对象 guarantee_info_fj
 * 
 * @author boman
 * @date 2024-08-01
 */
public class GuaranteeInfoFj extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 反担保基础信息附件表ID */
    private Long guaranteeInfoFjId;

    /** 贷款申请id */
    @Excel(name = "贷款申请id")
    private Long loanApplicationId;

    /** 贷款申请编号 */
    @Excel(name = "贷款申请编号")
    private String loanApplicationNumber;

    /** 反担保基础信息表ID */
    @Excel(name = "反担保基础信息表ID")
    private Long guaranteeInfoId;

    /** 原文件名称 */
    @Excel(name = "原文件名称")
    private String oldName;

    /** 附件名称 */
    @Excel(name = "附件名称")
    private String name;

    /** 附件地址 */
    @Excel(name = "附件地址")
    private String url;

    /** 附件类型 1：身份证正面 2：身份证反面 3：个人工作证明 4：个人征信报告 5：身份证复印件 6：企业征信报告 7：企业营业执照 */
    @Excel(name = "附件类型 1：身份证正面 2：身份证反面 3：个人工作证明 4：个人征信报告 5：身份证复印件 6：企业征信报告 7：企业营业执照")
    private String type;

    public void setGuaranteeInfoFjId(Long guaranteeInfoFjId) 
    {
        this.guaranteeInfoFjId = guaranteeInfoFjId;
    }

    public Long getGuaranteeInfoFjId() 
    {
        return guaranteeInfoFjId;
    }
    public void setLoanApplicationId(Long loanApplicationId) 
    {
        this.loanApplicationId = loanApplicationId;
    }

    public Long getLoanApplicationId() 
    {
        return loanApplicationId;
    }
    public void setLoanApplicationNumber(String loanApplicationNumber) 
    {
        this.loanApplicationNumber = loanApplicationNumber;
    }

    public String getLoanApplicationNumber() 
    {
        return loanApplicationNumber;
    }
    public void setGuaranteeInfoId(Long guaranteeInfoId) 
    {
        this.guaranteeInfoId = guaranteeInfoId;
    }

    public Long getGuaranteeInfoId() 
    {
        return guaranteeInfoId;
    }
    public void setOldName(String oldName) 
    {
        this.oldName = oldName;
    }

    public String getOldName() 
    {
        return oldName;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setUrl(String url) 
    {
        this.url = url;
    }

    public String getUrl() 
    {
        return url;
    }
    public void setType(String type) 
    {
        this.type = type;
    }

    public String getType() 
    {
        return type;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("guaranteeInfoFjId", getGuaranteeInfoFjId())
            .append("loanApplicationId", getLoanApplicationId())
            .append("loanApplicationNumber", getLoanApplicationNumber())
            .append("guaranteeInfoId", getGuaranteeInfoId())
            .append("oldName", getOldName())
            .append("name", getName())
            .append("url", getUrl())
            .append("type", getType())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
